at.chipkarte.client.abs.soap.constants

## Class AbsExceptionConstants

- Object
- - at.chipkarte.client.abs.soap.constants.AbsExceptionConstants

-     public final class AbsExceptionConstants
      extends Object

  Fehlerkonstanten für die AbsException.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INVALID_ANFRAGE_ID` Die angegebene Anfrage-ID ist für diesen Vertragspartner ungültig.
    `static int` | `LZB_CONFIRMATIONAMOUNT_EXCEEDED` Die Abgabemenge wurde überschritten.
    `static int` | `LZB_RETENTION_PERIOD` Die nächste Folgeverordnung kann erst am {0} ausgestellt werden.
    `static int` | `NO_DISCHARGE_LETTER_RIGHT` Der Verordner hat nicht das Recht zur Erstellung eines Arztbriefes.
    `static int` | `NO_KVA_ANSPRUCH` Der Patient hat keinen gültigen Krankenversicherungsanspruch.
    `static int` | `NO_KVA_LEISTUNGSANSPRUCH_EXCEPTION` Der Patient hat bei dem angegebenen KVT keinen gültigen Anspruch.
    `static int` | `NO_KVT_PROVIDED` Der Patient ist mehrfachversichert, ein KVT muss angegeben werden.
    `static int` | `NO_LZB_FOUND` Für dieses Medikament wurde keine gültige Langzeitbewilligung gefunden.
    `static int` | `NO_PHYSICIAN_PATIENT_RELATIONSHIP` Abfrage erfolgte ohne e-card und im festgelegten Intervall wurde keine Konsultation für den Patienten gefunden.
    `static int` | `NO_PRESCRIPTION_RIGHT` Der Vertragspartner hat für keinen KV-Träger des Patienten einen Vertrag mit Rezepturrecht.
    `static int` | `REPEATED_LZB_CONFIRMATION` Ihre Folgeverordnung wurde bereits im System registriert.
    `static int` | `SV_NUMMER_INVALID` Die SV-Nummer ist im e-card System nicht bekannt.
    `static int` | `UNAVAILABLE_BE` Das System zur Abfrage der Langzeitbewilligung steht derzeit nicht zur Verfügung.

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_PRESCRIPTION_RIGHT

          public static final int NO_PRESCRIPTION_RIGHT

      Der Vertragspartner hat für keinen KV-Träger des Patienten einen Vertrag mit Rezepturrecht.
      Code: ZS-04009
      See Also:
        Constant Field Values

    - #### INVALID_ANFRAGE_ID

          public static final int INVALID_ANFRAGE_ID

      Die angegebene Anfrage-ID ist für diesen Vertragspartner ungültig.
      Code: ZS-04001
      See Also:
        Constant Field Values

    - #### NO_KVA_ANSPRUCH

          public static final int NO_KVA_ANSPRUCH

      Der Patient hat keinen gültigen Krankenversicherungsanspruch.
      Code: ZS-04007
      See Also:
        Constant Field Values

    - #### NO_KVT_PROVIDED

          public static final int NO_KVT_PROVIDED

      Der Patient ist mehrfachversichert, ein KVT muss angegeben werden.
      Code: ZS-04010
      See Also:
        Constant Field Values

    - #### NO_KVA_LEISTUNGSANSPRUCH_EXCEPTION

          public static final int NO_KVA_LEISTUNGSANSPRUCH_EXCEPTION

      Der Patient hat bei dem angegebenen KVT keinen gültigen Anspruch.
      Code: ZS-04008
      See Also:
        Constant Field Values

    - #### NO_LZB_FOUND

          public static final int NO_LZB_FOUND

      Für dieses Medikament wurde keine gültige Langzeitbewilligung gefunden.
      Code: ZS-04011
      See Also:
        Constant Field Values

    - #### UNAVAILABLE_BE

          public static final int UNAVAILABLE_BE

      Das System zur Abfrage der Langzeitbewilligung steht derzeit nicht zur Verfügung.
      Code: ZS-04013
      See Also:
        Constant Field Values

    - #### LZB_CONFIRMATIONAMOUNT_EXCEEDED

          public static final int LZB_CONFIRMATIONAMOUNT_EXCEEDED

      Die Abgabemenge wurde überschritten.
      Code: ZS-04014
      See Also:
        Constant Field Values

    - #### LZB_RETENTION_PERIOD

          public static final int LZB_RETENTION_PERIOD

      Die nächste Folgeverordnung kann erst am {0} ausgestellt werden.
      Code: ZS-04015
      See Also:
        Constant Field Values

    - #### REPEATED_LZB_CONFIRMATION

          public static final int REPEATED_LZB_CONFIRMATION

      Ihre Folgeverordnung wurde bereits im System registriert.
      Code: ZS-04016
      See Also:
        Constant Field Values

    - #### NO_PHYSICIAN_PATIENT_RELATIONSHIP

          public static final int NO_PHYSICIAN_PATIENT_RELATIONSHIP

      Abfrage erfolgte ohne e-card und im festgelegten Intervall wurde keine Konsultation für den Patienten gefunden.
      Code: ZS-04017
      See Also:
        Constant Field Values

    - #### NO_DISCHARGE_LETTER_RIGHT

          public static final int NO_DISCHARGE_LETTER_RIGHT

      Der Verordner hat nicht das Recht zur Erstellung eines Arztbriefes.
      Code: ZS-04018
      See Also:
        Constant Field Values

    - #### SV_NUMMER_INVALID

          public static final int SV_NUMMER_INVALID

      Die SV-Nummer ist im e-card System nicht bekannt.
      ORCLI-Code: ZS-04003
      See Also:
        Constant Field Values